## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate swayr

Name:           rust-swayr
Version:        0.28.1
Release:        %autorelease
Summary:        LRU window-switcher (and more) for the sway window manager

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/swayr
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Fix deprecated GPL-3.0+ SPDX identifier
Patch:          swayr-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  systemd-rpm-macros

%global _description %{expand:
A LRU window-switcher (and more) for the sway window manager.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# GPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND GPL-3.0-or-later AND MIT AND MPL-2.0 AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
# FIXME: no license files detected
%license LICENSE.dependencies
%doc NEWS.md
%doc README.md
%{_bindir}/swayr
%{_bindir}/swayrd
%{_userunitdir}/swayrd.service

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
# FIXME: no license files detected
%doc %{crate_instdir}/NEWS.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -D -m 0644 -pv -t %{buildroot}%{_userunitdir} etc/swayrd.service

%post        -n %{crate}
%systemd_user_post swayrd.service

%preun       -n %{crate}
%systemd_user_preun swayrd.service


%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Feb 24 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.28.1-1
- Update to 0.28.1

* Sun Jan 26 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.28.0-1
- Update to 0.28.0

* Sun Jan 28 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.27.3-1
- Update to 0.27.3

* Sat Nov 18 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.27.1-1
- Update to 0.27.1

* Sun Mar 26 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.24.1-1
- Update to 0.24.1

* Fri Nov 11 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.23.0-1
- Update to 0.23.0

* Thu Sep 29 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.0-1
- Update to 0.22.0

* Wed Aug 31 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.21.0-1
- Update to 0.21.0

* Sun Aug 14 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.1-1
- Update to 0.20.1

* Sun Jul 24 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.0-1
- Update to 0.20.0

* Mon May 30 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Fri May 06 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.18.0-1
- Update to 0.18.0

* Sun Apr 10 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Sat Mar 19 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Wed Mar 16 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Sat Feb 26 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.14.0-1
- Update to 0.14.0

* Sat Feb 05 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0

* Thu Feb 03 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.12.2-1
- Update to 0.12.2

* Mon Jan 31 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.12.1-1
- Update to 0.12.1

* Wed Jan 05 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Thu Dec 16 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.11.2-1
- Update to 0.11.2

* Sun Dec 12 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Mon Nov 29 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Sat Nov 20 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Thu Nov 11 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Sun Nov 07 2021 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Fri Oct 29 2021 Aleksei Bavshin <alebastr@fedoraproject.org> 0.8.0-1
- Update to 0.8.0
- Add systemd user service

* Sat Oct 02 2021 Aleksei Bavshin <alebastr@fedoraproject.org> 0.7.0-1
- Initial package


## END: Generated by rpmautospec
